package de.ivu.elect.presentation.dashboard.entries;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.ergebnis.menu.ErgebnisExportMenuItemEntry;
import de.ivu.elect.presentation.ergebnis.menu.ErgebnisStatusMenuItemEntry;
import de.ivu.elect.presentation.gruppe.menu.GruppeKumulierteStimmenAnzeigenMenuItemEntry;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;

public class ErgebnisseDashboardEntry extends AbstractDashboardEntry {

  private static final long serialVersionUID = 1L;


  @Inject
  protected transient ErgebnisStatusMenuItemEntry ergebnisStatusMenuItemEntry;

  @Inject
  protected transient GruppeKumulierteStimmenAnzeigenMenuItemEntry gruppeKumulierteStimmenAnzeigenMenuItemEntry;

  @Inject
  protected transient ErgebnisExportMenuItemEntry ergebnisExportMenuItemEntry;
  @Override
  public String getLegend() {
    return getMessage("dashboard.entry.ergebnisse");
  }

  @Override
  protected void addProperties(FormBuilder formBuilder) {

  }

  @Override
  public List<AbstractMenuItemEntry> getMenuItemsFirst() {
    List<AbstractMenuItemEntry> result = new ArrayList<>();
    result.add(ergebnisStatusMenuItemEntry);
    result.add(gruppeKumulierteStimmenAnzeigenMenuItemEntry);
    result.add(ergebnisExportMenuItemEntry);
    return result;
  }

  @Override
  public List<AbstractMenuItemEntry> getMenuItemsLast() {
    return Collections.emptyList();
  }
}
